Home: Perl Programming Help: mod_perl:
Solaris 10 GD:graph installation



priyophan
New User

Aug 10, 2011, 8:35 AM


Views: 40011
Solaris 10 GD:graph installation

Can anyone give me some idea of Solaris 10 GD:graph installation package and links where I can download .



thanks


FishMonger
Veteran / Moderator

Aug 10, 2011, 9:34 AM


Views: 40009
Re: [priyophan] Solaris 10 GD:graph installation

http://search.cpan.org/~bwarfield/GDGraph-1.44/Graph.pm


priyophan
New User

Aug 10, 2011, 9:44 AM


Views: 40006
Re: [FishMonger] Solaris 10 GD:graph installation

All the packages seem to be for linux or am I missing something .I checked on this yesterday and they don't seem compatible on Solaris


FishMonger
Veteran / Moderator

Aug 10, 2011, 9:58 AM


Views: 40005
Re: [priyophan] Solaris 10 GD:graph installation

How did you come up with that wrong conclusion?

Have you tried downloading the tar file of the source code and build the module from source?

You can also get a rough idea of OS compatibility here: http://deps.cpantesters.org/?module=GD%3A%3AGraph;perl=latest


priyophan
New User

Aug 10, 2011, 10:00 AM


Views: 40003
Re: [FishMonger] Solaris 10 GD:graph installation

The tar.gz file cannot even be gunzipped in solaris 10 , I will try it again by gunzipping it in a linux box and transferring it to the solaris box


FishMonger
Veteran / Moderator

Aug 10, 2011, 10:09 AM


Views: 39999
Re: [priyophan] Solaris 10 GD:graph installation

Are you saying that you don't have tar on your Solaris box?

I haven't used Solaris in a long time, but my Solaris 8 had tar.


priyophan
New User

Aug 10, 2011, 10:21 AM


Views: 39997
Re: [FishMonger] Solaris 10 GD:graph installation

my solaris 10 box have tar and gunzipp but it is showing crc error , that is the reason that I think the package is for linux , it works fine in linux .

bash-3.00# tar xvf GDGraph-1.44.tar.gz
tar: directory checksum error
bash-3.00# gunzip GDGraph-1.44.tar.gz

gunzip: GDGraph-1.44.tar.gz: invalid compressed data--crc error

gunzip: GDGraph-1.44.tar.gz: invalid compressed data--length error
bash-3.00# gunzip -c GDGraph-1.44.tar.gz | tar xvf -
same error here also